Mailinglist Archive: yast-devel (42 mails)

< Previous Next >
[yast-devel] openQA broken for Storage-NG
Hi,

Our openQA tests for storage-ng are all red since two days ago. There are two different errors. One of then [1] appears in the upgrade process and the problem is that yast-update is requiring enum_mappings.rb file, but that file was removed from storage-ng package due to it is not necessary after introducing the libstorage wrapper. So, the solution is to avoid this dependency in yast-update.

The second error [2], and apparently not related with the first one, appears after installing, when system is booting. Grub is complaining with this message: "error: file /boot/grub2/i386-pc/normal.mod not found". I guess this problem arose after adding BtrFS to the proposal, but I don't sure.

Although the first error should be easy to solve, the second one looks tricky. Tomorrow I will try to solve them, but sure I need help with the second one. Any volunteer for helping? :)

[1] https://yast-openqa.suse.cz/tests/3941#step/upgrade_select/5

[2] https://yast-openqa.suse.cz/tests/3943#step/grub_test/5

< Previous Next >
Follow Ups